Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74714 - traceback WirelessInterface:on_hw_config_page_next:204
Summary: traceback WirelessInterface:on_hw_config_page_next:204
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-10-01 03:34 UTC by R P Herrold
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-30 16:16:35 UTC


Attachments (Terms of Use)

Description R P Herrold 2002-10-01 03:34:10 UTC
Traceback (most recent call last):
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/WirelessInterface.py",
line 204, in on_hw_config_page_next
    self.hw_sel = clist.selection[0]
IndexError: list index out of range

===========================

00:0e.0 Network controller: AIRONET Wireless Communications PC4800 (rev 01)
        Flags: medium devsel, IRQ 5
        Memory at e0008000 (32-bit, non-prefetchable) [size=128]
        I/O ports at 1000 [size=128]
        I/O ports at 1080 [size=64]

Comment 1 R P Herrold 2002-10-01 03:35:15 UTC
The PCI card is an older carrier, well made (Dell marque), for the Aironet pc-card

Comment 2 R P Herrold 2002-10-01 03:38:59 UTC
I then manually modprobed in airo, and re-ran the tool.  

The wireless card appeared (improperly) at eth0 the first time shown -- but
going past the incorrect setting to the next screen, and then using Back, caused
it to re-appear at the proper interface (eth1).

Comment 3 R P Herrold 2002-10-01 03:41:07 UTC
Finally, it is throwing (hamless<?>) errors into the console thus:

Warning : Device eth1 has been compiled with version 13
of Wireless Extension, while we are using version 12.
Some things may be broken...


Comment 4 R P Herrold 2002-10-01 03:41:53 UTC
airo:  Probing for PCI adapters
airo: Doing fast bap_reads
divert: allocating divert_blk for eth1
airo: MAC enabled eth1 0:40:96:31:6c:69
airo:  Finished probing for PCI adapters
bash-2.05b$

Comment 5 R P Herrold 2002-10-01 03:43:16 UTC
bash-2.05b$ ifconfig
eth0      Link encap:Ethernet  HWaddr 00:00:21:40:0B:E7
          inet addr:172.16.33.101  Bcast:172.16.33.255  Mask:255.255.255.0
          UP BROADCAST NOTRAILERS RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:604 errors:0 dropped:0 overruns:0 frame:0
          TX packets:466 errors:0 dropped:0 overruns:0 carrier:0
          collisions:2 txqueuelen:100
          RX bytes:469243 (458.2 Kb)  TX bytes:57741 (56.3 Kb)
          Interrupt:10 Base address:0x10e0

eth1      Link encap:Ethernet  HWaddr 00:40:96:31:6C:69
          inet addr:10.0.0.1  Bcast:10.0.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:8 errors:8 dropped:0 overruns:0 carrier:8
          collisions:0 txqueuelen:100
          RX bytes:0 (0.0 b)  TX bytes:2504 (2.4 Kb)
          Interrupt:5 Base address:0x1080

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:78008 errors:0 dropped:0 overruns:0 frame:0
          TX packets:78008 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:15072642 (14.3 Mb)  TX bytes:15072642 (14.3 Mb)

bash-2.05b$ iwconfig eth1
eth1      IEEE 802.11-DS  ESSID:""  Nickname:"couch"
          Mode:Managed  Frequency:2.412GHz  Access Point: FF:FF:FF:FF:FF:FF
          Bit Rate=11Mb/s   Tx-Power=15 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality:0/10  Signal level:-96 dBm  Noise level:-256 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

bash-2.05b$


Note You need to log in before you can comment on or make changes to this bug.